package com.icloud.server.payutils.goods;
import org.joda.time.DateTime;


public class testt {
    public static void main(String[] args) {
        DateTime now = DateTime.now();
        DateTime hour= now.withHourOfDay(0).withMinuteOfHour(0).withSecondOfMinute(0).withMillisOfSecond(0);
        System.out.println(hour);
        ss(hour);

    }
    public static void ss(DateTime now){
        DateTime hour= now.withSecondOfMinute(0).withMillisOfSecond(0).withMinuteOfHour(0);
        DateTime nextHour = hour.plusHours(1);
        String curDay = hour.withMillisOfDay(0).toString("yyyy-MM-dd HH:mm:ss");
        String nextDay = hour.withMillisOfDay(0).plusDays(1).toString("yyyy-MM-dd HH:mm:ss");

        System.out.println(nextHour);
        System.out.println(curDay);
        System.out.println(nextDay);
    }

}
